#!/usr/bin/env sh

export ROBOTNAME="%ROBOTNAME%"

cp "/root/files/fstab_label" "/etc/fstab"
cp "/root/files/menu.lst_sda" "/boot/grub/menu.lst"

export AL_DIR="/opt/naoqi/"
python /root/files/changeBodyIDNickName.py "${ROBOTNAME}" "127.0.0.1" || echo "error setting robot name"
/root/qitobh

update-rc.d -f alsa-state remove
update-rc.d -f sshd remove
update-rc.d -f openntpd remove
update-rc.d -f vsftpd remove
update-rc.d -f lighttpd remove
update-rc.d -f naopathe remove
update-rc.d -f modules-finish.sh remove
update-rc.d -f connman remove
update-rc.d -f dbus-1 remove
update-rc.d -f "boot-progress-0" remove
update-rc.d -f "boot-progress-10" remove
update-rc.d -f "boot-progress-20" remove
update-rc.d -f "boot-progress-30" remove
update-rc.d -f "boot-progress-40" remove
update-rc.d -f "boot-progress-50" remove
update-rc.d -f "boot-progress-60" remove
update-rc.d -f "boot-progress-70" remove
update-rc.d -f "boot-progress-80" remove
update-rc.d -f "boot-progress-90" remove
update-rc.d -f "boot-progress-100" remove
update-rc.d -f "banner" remove
update-rc.d -f "finish" remove
update-rc.d -f "avahi-daemon" remove
update-rc.d sshd defaults 90
update-rc.d alsa-state defaults 91

ln -sf "/etc/init.d/bhumand" "/etc/rc0.d/K02bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc1.d/K02bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc2.d/S58bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc3.d/S58bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc4.d/S58bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc5.d/S58bhumand"
ln -sf "/etc/init.d/bhumand" "/etc/rc6.d/K02bhumand"

/etc/init.d/naoqi stop

echo "Unloading original camera module."
modprobe -v -r lxv4l2
cp "/root/files/lxv4l2_ko" "/lib/modules/2.6.29.6-rt24-aldebaran-rt/kernel/drivers/media/video/lxv4l2/lxv4l2.ko"
echo "Loading fixed camera module."
modprobe -v lxv4l2

/etc/init.d/naoqi start

echo "Operation completed"
echo "Don't forget to reboot ${ROBOTNAME}."
