module ShellHelper

  # see http://kpumuk.info/ruby-on-rails/colorizing-console-ruby-script-output/
  def colorize text, color_code
    "#{color_code}#{text}\033[00m"
  end

  def red text
    colorize text, "\033[01;31m"
  end

  def green text
    colorize text, "\033[01;32m"
  end

  def blue text
    colorize text, "\033[01;34m"
  end

  def failed
    puts "[" + red("FAILED") + "]"
  end

  def done
    puts "[ " + green("DONE") + " ]"
  end

  def describe description
    puts blue(description)
  end

  def execute cmd, description = "Executing"
    describe description
    if system cmd
      done
    else
      failed
    end
  end

  def dir dir
    Dir.chdir dir
  end

end
