require "include/settings.rb"
require "include/lib.rb"
include ShellHelper

class Program
  def self.name name
    @@debug = true
    @@usage = "usage: #{name} option\n\npossible options are:\n"
  end

  def self.register method_name, description
    @@usage += "  #{method_name} #{description}\n"
  end

  def self.debug debug
    @@debug = debug
  end

  def self.execute
    program = self.new
    begin
      program.send ARGV.delete_at(0), *ARGV
    rescue Exception
      failed
      program.print_usage
      if @@debug
        puts ""
        raise $!
      end
    end
  end

  def print_usage
    puts @@usage
  end
end
