import sys

COLOR = True
DEBUG = False

def colRED (string):
  return "\033[1;31m%s\033[1;m" % string

def colBLUE (string):
  return "\033[1;34m%s\033[1;m" % string

def colYELLOW (string):
  return "\033[1;33m%s\033[1;m" % string

def colGREEN (string):
  return "\033[1;32m%s\033[1;m" % string

def printIt(prefix, string):
  sys.stderr.write("%s %s\n" % (prefix, string))

def error (string):
  prefix = "[ERROR]"
  if COLOR:
    prefix = colRED(prefix);
  printIt(prefix, string)

def warning (string):
  prefix = "[WARNING]"
  if COLOR:
    prefix = colYELLOW(prefix);
  printIt(prefix, string)

def debug (string):
  if DEBUG:
    sys.stderr.write("[DEBUG] %s\n" % string);

def info (string):
  prefix = "[INFO]"
  if COLOR:
    prefix = colBLUE(prefix);
  printIt(prefix, string)

def success (string):
  prefix = "[SUCCESS]"
  if COLOR:
    prefix = colGREEN(prefix)
  printIt(prefix, string)
