/**
* @file ControllerQt/Views/ViewBike/ViewBike.cpp
*
* Implementation of class ViewBike
*
* @author <a href="mailto:judy@tzi.de">Judith Mueller</a>
*/


#include <QHeaderView>

#include "Tools/Streams/OutStreams.h"
#include "Tools/Streams/InStreams.h"

#include "RobotConsole.h"
#include "ViewBike.h"
#include "Visualization/HeaderedWidget.h"
#include "ViewBikeWidget.h"



ViewBike::ViewBike(RobotConsole& console,const MotionRequest& motionRequest, const JointData& jointData, const JointCalibration& jc, const RobotDimensions& rd, const std::string& mr, Simulation* simulation,std::string robot, SimObject* origin) : console(console), motionRequest(motionRequest), jointData(jointData),jointCalibration(jc), robotDimensions(rd), motionRequestCommand(mr), renderer(simulation, robot), origin(origin)
{}

QWidget* ViewBike::createWidget()
{
  HeaderedWidget* widget = new HeaderedWidget();
  QHeaderView* headerView = widget->getHeaderView();
  viewBikeWidget = new ViewBikeWidget(*this, widget);
  widget->setWidget(viewBikeWidget);
  headerView->setMinimumSectionSize(30);
  headerView->resizeSection(0, 100);
  headerView->resizeSection(1, 100);
  return widget; 
}

void ViewBike::updateWidget(QWidget& widget)
{
  viewBikeWidget->update();
}

