/** 
* @file BH2010StableFallDownSymbols.h
*
* Declaration of class BH2010StableFallDownSymbols.
*
* @author Judith Mller
*/

#ifndef __BH2010StableFallDownSymbols_h_
#define __BH2010StableFallDownSymbols_h_

#include "Modules/BehaviorControl/Symbols.h"
#include "Representations/Modeling/FallDownState.h"

/**
* The Xabsl symbols that are defined in "fall_down_symbols.xabsl"
*/ 
class BH2010StableFallDownSymbols : public Symbols
{
public:
  /*
  * Constructor.
  * @param state A reference to the FallDownState.
  */
  BH2010StableFallDownSymbols(const FallDownState& state) : 
      state(state) {}

  /** A reference to the FallDownState */
  const FallDownState& state;

  /** Registers the symbols at an engine */
  void registerSymbols(xabsl::Engine& engine);
};


#endif // __FallDownSymbols_h_
