/** 
* @file BH2010StableObstacleSymbols.cpp
*
* Implementation of class BH2010StableObstacleSymbols.
*
* @author <a href="mailto:Tim.Laue@dfki.de">Tim Laue</a>
* @author <a href="mailto:rieskamp@informatik.uni-bremen.de">Andrik Rieskamp</a>
* @author <a href="mailto:aschreck@informatik.uni-bremen.de">Andr Schreck</a>
*/

#include "BH2010StableObstacleSymbols.h"


void BH2010StableObstacleSymbols::registerSymbols(xabsl::Engine& engine)
{
  // BH2009 style:
  engine.registerDecimalInputSymbol("obstacle.distance_to_left_obstacle", &obstacleModel.distanceToLeftObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_right_obstacle", &obstacleModel.distanceToRightObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_center_left_obstacle", &obstacleModel.distanceToCenterLeftObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_center_right_obstacle", &obstacleModel.distanceToCenterRightObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_closest_obstacle", &distanceToClosestObstacle);

  // BH2010 style:
  engine.registerDecimalInputSymbol("obstacle.distance_to_left", &obstacleModel.distanceToLeftObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_right", &obstacleModel.distanceToRightObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_center_left", &obstacleModel.distanceToCenterLeftObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_center_right", &obstacleModel.distanceToCenterRightObstacle);
  engine.registerDecimalInputSymbol("obstacle.distance_to_closest", &distanceToClosestObstacle);

  engine.registerDecimalInputSymbol("obstacle.distance_to_closest_left", &distanceToClosestObstacleLeft);
  engine.registerDecimalInputSymbol("obstacle.distance_to_closest_right", &distanceToClosestObstacleRight);
}

void BH2010StableObstacleSymbols::update()
{
  distanceToClosestObstacleLeft  = std::min(obstacleModel.distanceToLeftObstacle, obstacleModel.distanceToCenterLeftObstacle);
  distanceToClosestObstacleRight = std::min(obstacleModel.distanceToRightObstacle, obstacleModel.distanceToCenterRightObstacle);
  distanceToClosestObstacle = std::min(distanceToClosestObstacleLeft,distanceToClosestObstacleRight);
}
