/**
 * @author Carsten Koenemann
 */

#ifndef __ExpRobotPopulationProvider_h_
#define __ExpRobotPopulationProvider_h_

#include "Tools/Module/Module.h"
#include "Representations/Modeling/ExpRobotPopulationModel.h"

#include "Representations/Modeling/RobotsModel.h"
#include "Representations/Modeling/RobotPose.h"
#include "Representations/Configuration/FieldDimensions.h"
#include "Representations/Infrastructure/TeamMateData.h"

MODULE(ExpRobotPopulationProvider)
  REQUIRES(RobotsModel)
  REQUIRES(RobotPose)
  REQUIRES(FieldDimensions)
  REQUIRES(TeamMateData)
  PROVIDES_WITH_DRAW(ExpRobotPopulationModel)
END_MODULE

class ExpRobotPopulationProvider : public ExpRobotPopulationProviderBase
{
  void update(ExpRobotPopulationModel& robotPopulationModel);
};


#endif // __ExpRobotPopulationProvider_h_
