/**
* @file Platform/Win32/GTAssert.h
* Some helper functions for low level debugging
* @author Colin Graf
*/

#ifndef RELEASE

#include "GTAssert.h"

#include <cstdio>
#include <cstdarg>
#include <windows.h>

void Assert::trace(const char* format, ...)
{
  char data[320];
  va_list ap;
  va_start(ap, format);
#ifdef _MSC_VER
  int length = vsprintf_s(data, sizeof(data) - 1, format, ap);
#else
  int length = ::vsnprintf(data, sizeof(data) - 2, format, ap);
  if(length < 0)
    length = sizeof(data) - 2;
#endif
  va_end(ap);
  data[length++] = '\n';
  data[length] = '\0';
#ifdef _MSC_VER
  OutputDebugString(data);
#else
  fputs(data, stderr);
  fflush(stderr);
#endif
}

#endif
