/** 
* @file  Platform/hash_map.h
* 
* Inclusion and definitions to use hash_map platform independent 
*
* @author Ingo Sieverdingbeck
*/

#ifndef HASH_MAP_H
#define HASH_MAP_H

#if defined(_WIN32)

#include <hash_map>

#elif defined(LINUX)

#include <string>
#include <ext/hash_map>
#define stdext __gnu_cxx

namespace __gnu_cxx {
  template <> struct hash<std::string>
  {
    size_t operator() (const std::string& str) const
    {
      return hash<const char*>()(str.c_str());
    }
  };
}

#else
#error "Unknown platform"
#endif

#endif // HASH_MAP_H
