#ifndef Dribble_Target_H
#define Dribble_Target_H

#include "Tools/Math/Pose2D.h"
#include "Tools/Math/Vector2.h"

class DribbleTarget : public Streamable
{
  public:
    Vector2<> nextTarget;
    Vector2<> finalTarget;
    unsigned int estimateTimeToReachPose;
    Vector2<> closestObstacle;
    
    DribbleTarget() {};

    void draw() const;

  private:
    void serialize(In* in, Out* out)
    {
      STREAM_REGISTER_BEGIN();
      STREAM(nextTarget);
      STREAM(finalTarget);
      STREAM(estimateTimeToReachPose);
      STREAM(closestObstacle);
      STREAM_REGISTER_FINISH();
    }
};
#endif
