/**
 * @file LoggerOutput.h
 *
 * The file contains a dummy output for the Logger module
 *
 * @author <a href="mailto:Tim.Laue@dfki.de">Tim Laue</a>
 */

#ifndef __LoggerOutput_h_
#define __LoggerOutput_h_

#include "Tools/Streams/Streamable.h"

/**
* A dummy class so SoundControl is selectable.
*/
class LoggerOutput : public Streamable
{
private:
  virtual void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
      char dummy(0);
      STREAM(dummy);
    STREAM_REGISTER_FINISH();
  }
};

#endif //__LoggerOutput_h_
