/*
 * SensorDataRev5703.h
 *
 *  Created on: Jun 5, 2010
 *      Author: reich
 */

#ifndef SENSORDATAREV5703_H_
#define SENSORDATAREV5703_H_

class SensorDataRev5703 : public Streamable
{
protected:
  virtual void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
    STREAM_ARRAY(data);
    STREAM_ARRAY(currents);
    STREAM_ARRAY(temperatures);
    STREAM_ENUM(usSensorType, numOfUsSensorTypes, SensorDataRev5703::getUsSensorTypeName);
    STREAM(timeStamp);
    STREAM_REGISTER_FINISH();
  }

public:
  enum Sensor
  {
    gyroX,
    gyroY,
    gyroZ,
    accX,
    accY,
    accZ,
    batteryLevel,
    fsrLFL,     //the feetsensors of the Nao-Robot
    fsrLFR,
    fsrLBL,
    fsrLBR,
    fsrRFL,
    fsrRFR,
    fsrRBL,
    fsrRBR,
    us,
    angleX,
    angleY,
    numOfSensors
  };

  enum UsSensorTypes
  {
    left,
    leftToRight,
    rightToLeft,
    right,
    numOfUsSensorTypes
  };

  float data[numOfSensors]; /**< The data of all sensors. */
  UsSensorTypes usSensorType; /**< The ultrasonice measure method which was used for measuring \c data[us]. */
  short currents[JointData::numOfJoints]; /**< The currents of all motors. */
  unsigned char temperatures[JointData::numOfJoints]; /**< The temperature of all motors. */
  unsigned timeStamp; /**< The time when the sensor data was received. */

  static const char* getUsSensorTypeName(UsSensorTypes type)
  {
    switch(type)
    {
    case left: return "left";
    case leftToRight: return "leftToRight";
    case rightToLeft: return "rightToLeft";
    case right: return "right";
    default: return "unknown";
    }
  }
};

#endif /* SENSORDATAREV5703_H_ */
