/**
* @file BallHypotheses.h
* Declaration of class BallHypotheses
* @author Colin Graf
*/ 

#ifndef BallHypotheses_H
#define BallHypotheses_H

#include "Tools/Streams/Streamable.h"

/**
* @class BallHypotheses
* Encapsulates some hypotheses about the ball
*/
class BallHypotheses : public Streamable
{
public:
  unsigned int timeWhenShouldHaveAppeared; /**< The time when the ball should have appeard in image */
  unsigned int timeWhenDisappeared; /**< The time when the ball disappeared */

  /** Default constructor. */
  BallHypotheses() : timeWhenShouldHaveAppeared(0), timeWhenDisappeared(0) {}
  
private:
  /**
  * The method makes the object streamable
  * @param in The stream from which the object is read 
  * @param out The stream to which the object is written 
  */
  void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
    STREAM(timeWhenShouldHaveAppeared);
    STREAM(timeWhenDisappeared);
    STREAM_REGISTER_FINISH();
  }
};

#endif // BallHypotheses_H
