/**
* @file Representations/Modeling/ExpRobotPopulationModel.h
* Declaration of a representation that represents the robot population model
* @author Carsten Koenemann
*/
 
#ifndef __ExpRobotPopulationModel_h_
#define __ExpRobotPopulationModel_h_

#include "Tools/Streams/Streamable.h"

class ExpRobotPopulationModel : public Streamable
{

  void serialize(In*, Out*) {}


public:
  static const unsigned char CELLS_X = 6;
  static const unsigned char CELLS_Y = 4;

  unsigned char grid[CELLS_X * CELLS_Y];

  unsigned short cellWidth, cellHeight;

  void draw();
};


#endif // __ExpRobotPopulationModel_h_
