/**
* @file Representations/MotionControl/SIKEngineOutput.h
* This file declares a class that represents the output of SIKE
* author jeff
*/

#ifndef SIKEngineOutput_H
#define SIKEngineOutput_H

#include "Representations/Infrastructure/JointData.h"
#include "Representations/MotionControl/SIKERequest.h"

/**
* @class WalkingEnigeOutput
* A class that represents the output of the SIKEngine
*/
class SIKEngineOutput : public JointRequest
{
  private:
    virtual void serialize(In* in, Out* out)
    {  
      STREAM_REGISTER_BEGIN();
      STREAM_BASE(JointRequest);
      STREAM(isLeavingPossible);
      STREAM_ENUM(executedMotion, SIKERequest::numOfMotions, SIKERequest::getMotionName);
      STREAM_REGISTER_FINISH();
    }
  public:
    SIKEngineOutput() : isLeavingPossible(false), executedMotion(SIKERequest::numOfMotions)
    {}

    bool isLeavingPossible;
    SIKERequest::Motion executedMotion;
};

#endif // SIKEngineOutput_H
