/**
* @file ImageInfo.h
* A class representing information on images.
* @author Felix Wenk
*/

#ifndef __ImageInfo_h_
#define __ImageInfo_h_

/**
 * @enum Camera
 * Enum representing the possible sources of an image.
 */
enum Camera { UPPER_CAMERA = 0x01, LOWER_CAMERA = 0x02 };

/**
* @class ImageInfo
* A class representing information on images.
*/
class ImageInfo : public Streamable
{
private:
  void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
    STREAM(prevCamera);
    STREAM(camera);
    STREAM_REGISTER_FINISH();
  }

public:
  unsigned char prevCamera;
  unsigned char camera;

  ImageInfo() : prevCamera(LOWER_CAMERA), camera(LOWER_CAMERA) {}
  bool fromLowerCamera() const  { return camera == LOWER_CAMERA; }
  bool fromLowerPrevCamera() const { return prevCamera == LOWER_CAMERA; }
};

#endif //__ImageInfo_h_
