
#ifndef ConsoleWidget_H
#define ConsoleWidget_H

#include "DockWidget.h"

class ConsoleWidget : public DockWidget
{
  Q_OBJECT

public:
  ConsoleWidget (const SceneObject& object, QWidget *parent) :
      DockWidget(object, parent) {}

  QAction* toggleViewAction() const;

private slots:
  virtual void clear() = 0;
  virtual void print(const QString& text) = 0;
};

class ClassicConsoleTextEdit;

class ClassicBHumanConsole : public ConsoleWidget
{
  Q_OBJECT

public:
  ClassicBHumanConsole (const SceneObject& object, QWidget* parent);

  QAction* toggleViewAction() const;

private:
  ClassicConsoleTextEdit* textEdit;

private slots:
  void clear();
  void print(const QString& text);
};

#endif //ConsoleWidget_H

