/**
* @file Tools/ProcessFramework/ProcessFramework.cpp
*
* This file implements classes corresponding to the process framework.
*
* @author <a href="mailto:Thomas.Roefer@dfki.de">Thomas Rfer</a>
*/

#include "ProcessFramework.h"

/*
 * ProcessCreatorBase::list must be initialized before any code generated
 * by MAKE_PROCESS is executed. Therefore, early initialization is forced.
 */
#ifdef _WIN32
#pragma warning(disable:4073)
#pragma init_seg(lib)
std::list<ProcessCreatorBase*> ProcessCreatorBase::list;
#else
std::list<ProcessCreatorBase*> ProcessCreatorBase::list
   __attribute__((init_priority(60000)));
// Note: the default priority for initialization of static objects
// using 'gcc' is 65535 (lowest), the highest is 101.
#endif
