#ifndef __ConfigHelper_h_
#define __ConfigHelper_h_

#include "Tools/Global.h"
#include "Tools/Streams/InStreams.h"
#include "Platform/GTAssert.h"

class ConfigHelper
{
public:
  static void loadConfig(Streamable& params, const char* fileName, const char* section = "default")
  {
    InConfigFile stream(Global::getSettings().expandLocationFilename(fileName), section);
    if(stream.exists())
    {
      stream >> params;
    }
    else
    {
      InConfigFile stream(fileName, section);
      ASSERT(stream.exists());
      stream >> params;
    }
  }
};

#endif // __ConfigHelper_h_

